Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITabPanel.Properties

    java.lang.Object
      java.lang.Enum<UITabPanel.Properties>
          org.richfaces.component.UITabPanel.Properties

All Implemented Interfaces:
  Serializable, Comparable<UITabPanel.Properties>

Enclosing class:
  UITabPanel

    protected static enum UITabPanel.Properties

extends Enum<UITabPanel.Properties>

Enum Constant Summary
`cycledSwitching`
`data`
`dir`
`execute`
`headerAlignment`
`headerPosition`
`itemChangeListener`
`lang`
`limitRender`
`onbeforeitemchange`
`onclick`
`ondblclick`
`onitemchange`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`render`
`status`
`style`
`styleClass`
`tabActiveHeaderClass`
`tabContentClass`
`tabDisabledHeaderClass`
`tabHeaderClass`
`tabInactiveHeaderClass`
`title`

Method Summary
`static UITabPanel.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UITabPanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### cycledSwitching

    public static final UITabPanel.Properties cycledSwitching

### data

    public static final UITabPanel.Properties data

### dir

    public static final UITabPanel.Properties dir

### execute

    public static final UITabPanel.Properties execute

### headerAlignment

    public static final UITabPanel.Properties headerAlignment

### headerPosition

    public static final UITabPanel.Properties headerPosition

### itemChangeListener

    public static final UITabPanel.Properties itemChangeListener

### lang

    public static final UITabPanel.Properties lang

### limitRender

    public static final UITabPanel.Properties limitRender

### onbeforeitemchange

    public static final UITabPanel.Properties onbeforeitemchange

### onclick

    public static final UITabPanel.Properties onclick

### ondblclick

    public static final UITabPanel.Properties ondblclick

### onitemchange

    public static final UITabPanel.Properties onitemchange

### onmousedown

    public static final UITabPanel.Properties onmousedown

### onmousemove

    public static final UITabPanel.Properties onmousemove

### onmouseout

    public static final UITabPanel.Properties onmouseout

### onmouseover

    public static final UITabPanel.Properties onmouseover

### onmouseup

    public static final UITabPanel.Properties onmouseup

### render

    public static final UITabPanel.Properties render

### status

    public static final UITabPanel.Properties status

### style

    public static final UITabPanel.Properties style

### styleClass

    public static final UITabPanel.Properties styleClass

### tabActiveHeaderClass

    public static final UITabPanel.Properties tabActiveHeaderClass

### tabContentClass

    public static final UITabPanel.Properties tabContentClass

### tabDisabledHeaderClass

    public static final UITabPanel.Properties tabDisabledHeaderClass

### tabHeaderClass

    public static final UITabPanel.Properties tabHeaderClass

### tabInactiveHeaderClass

    public static final UITabPanel.Properties tabInactiveHeaderClass

### title

    public static final UITabPanel.Properties title

Method Detail

### values

    public static UITabPanel.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITabPanel.Properties c : UITabPanel.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITabPanel.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.